Package org.h2gis.functions.spatial.convert

## Class ST_GeomFromWKB

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_GeomFromWKB

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_GeomFromWKB
    extends org.h2gis.api.DeterministicScalarFunction

Convert a WKB object to a geometry

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_GeomFromWKB()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `toGeometry​(byte[] bytes)` Convert a WKB representation to a geometry without specify a SRID.
`static org.locationtech.jts.geom.Geometry` `toGeometry​(byte[] bytes, int srid)` Convert a WKB representation to a geometry

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_GeomFromWKB

    public ST_GeomFromWKB()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### toGeometry

    public static org.locationtech.jts.geom.Geometry toGeometry​(byte[] bytes,
                                                                int srid)
                                                         throws SQLException

Convert a WKB representation to a geometry

Parameters:
  `bytes` - the input WKB object
  `srid` - the input SRID
Returns:
Throws:
  `SQLException`

#### toGeometry

    public static org.locationtech.jts.geom.Geometry toGeometry​(byte[] bytes)
                                                         throws SQLException

Convert a WKB representation to a geometry without specify a SRID.

Parameters:
  `bytes` -
Returns:
Throws:
  `SQLException`